funcprototype
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# funcprototype

funcprototype — The prototype of a function

## Synopsis

### Content Model

    funcprototype ::=
    (funcdef,
     (void|varargs|paramdef+))

### Attributes

Common attributes

## Description

A wrapper for a function prototype in a `FuncSynopsis`.

### Processing expectations

See `FuncSynopsis`.

### Parents

These elements contain funcprototype: `funcsynopsis`.

### Children

The following elements occur in funcprototype: `funcdef`, `paramdef`, `varargs`, `void`.

## See Also

`funcdef`, `funcparams`, `funcsynopsisinfo`, `function`, `paramdef`, `parameter`, `returnvalue`, `varargs`, `void`.

## Examples

For examples, see `funcdef`, `funcsynopsis`, `paramdef`, `varargs` .

Prev | Home | Next
funcparams | Up | funcsynopsis

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.